#ifndef Oscar97Tree_h
#define Oscar97Tree_h


#include <iostream>
#include <TTree.h>
#include <TFile.h>
#include "Oscar97Event.h"


#define MAXFILESIZE 1900000000



class Oscar97Tree {
 public:
  Oscar97Tree(const char *f19List, const char *outRoot = "OscarDst.root",
	      int compression = 9);
  ~Oscar97Tree();
  void MakeRoot();
  bool GetError();
  
 private:
  TFile *mOutRoot;
  TTree *mTree;
  unsigned long mNBytes;
  FILE *mF19List;
  Oscar97Event *mEvent;
  bool mError;

  ClassDef(Oscar97Tree, 1)
};



#endif
